"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ListItem = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _assertThisInitialized2 = _interopRequireDefault(require("@babel/runtime/helpers/assertThisInitialized"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var ListItem = /*#__PURE__*/function (_React$PureComponent) {
  (0, _inheritsLoose2.default)(ListItem, _React$PureComponent);

  function ListItem() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "node", void 0);
    (0, _defineProperty2.default)((0, _assertThisInitialized2.default)(_this), "saveNode", function (dom) {
      _this.node = dom;
    });
    return _this;
  }

  var _proto = ListItem.prototype;

  _proto.render = function render() {
    var _classNames;

    var _this$props = this.props,
        prefixCls = _this$props.prefixCls,
        selected = _this$props.selected,
        children = _this$props.children,
        active = _this$props.active,
        disabled = _this$props.disabled,
        getItemProps = _this$props.getItemProps,
        _onMouseEnter = _this$props.onMouseEnter,
        _onMouseLeave = _this$props.onMouseLeave,
        data = _this$props.data,
        value = _this$props.value,
        _onClick = _this$props.onClick;
    var customProps = getItemProps(data);
    var classes = (0, _classnames.default)((_classNames = {}, _classNames["" + prefixCls] = true, _classNames[prefixCls + "-active"] = active, _classNames[prefixCls + "-selected"] = selected, _classNames[prefixCls + "-disabled"] = disabled, _classNames[customProps.className] = customProps.className, _classNames));
    return /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({
      ref: this.saveNode
    }, customProps, {
      className: classes,
      onClick: function onClick(e) {
        var _customProps$onClick;

        _onClick(value, e);

        (_customProps$onClick = customProps.onClick) === null || _customProps$onClick === void 0 ? void 0 : _customProps$onClick.call(customProps, e);
      },
      onMouseEnter: function onMouseEnter(e) {
        var _customProps$onMouseE;

        _onMouseEnter(value, e);

        (_customProps$onMouseE = customProps.onMouseEnter) === null || _customProps$onMouseE === void 0 ? void 0 : _customProps$onMouseE.call(customProps, e);
      },
      onMouseLeave: function onMouseLeave(e) {
        var _customProps$onMouseL;

        _onMouseLeave(value, e);

        (_customProps$onMouseL = customProps.onMouseLeave) === null || _customProps$onMouseL === void 0 ? void 0 : _customProps$onMouseL.call(customProps, e);
      }
    }), children);
  };

  return ListItem;
}(_react.default.PureComponent);

exports.ListItem = ListItem;
(0, _defineProperty2.default)(ListItem, "defaultProps", {
  data: {}
});
var _default = ListItem;
exports.default = _default;