"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));

var _react = _interopRequireDefault(require("react"));

var ItemGroup = /*#__PURE__*/function (_React$Component) {
  (0, _inheritsLoose2.default)(ItemGroup, _React$Component);

  function ItemGroup() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = ItemGroup.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        prefixCls = _this$props.prefixCls,
        item = _this$props.item,
        children = _this$props.children,
        renderGroupTitle = _this$props.renderGroupTitle,
        getGroupTitleProps = _this$props.getGroupTitleProps;
    var customProps = getGroupTitleProps ? getGroupTitleProps(item.data) : {};
    return /*#__PURE__*/_react.default.createElement("div", {
      className: prefixCls
    }, /*#__PURE__*/_react.default.createElement("div", (0, _extends2.default)({}, customProps, {
      className: prefixCls + "-title"
    }), renderGroupTitle ? renderGroupTitle(item.data) : item.label), /*#__PURE__*/_react.default.createElement("div", {
      className: prefixCls + "-list"
    }, children));
  };

  return ItemGroup;
}(_react.default.Component);

exports.default = ItemGroup;