import _extends from "@babel/runtime/helpers/extends";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React from "react";

var ItemGroup = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(ItemGroup, _React$Component);

  function ItemGroup() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = ItemGroup.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        prefixCls = _this$props.prefixCls,
        item = _this$props.item,
        children = _this$props.children,
        renderGroupTitle = _this$props.renderGroupTitle,
        getGroupTitleProps = _this$props.getGroupTitleProps;
    var customProps = getGroupTitleProps ? getGroupTitleProps(item.data) : {};
    return /*#__PURE__*/React.createElement("div", {
      className: prefixCls
    }, /*#__PURE__*/React.createElement("div", _extends({}, customProps, {
      className: prefixCls + "-title"
    }), renderGroupTitle ? renderGroupTitle(item.data) : item.label), /*#__PURE__*/React.createElement("div", {
      className: prefixCls + "-list"
    }, children));
  };

  return ItemGroup;
}(React.Component);

export { ItemGroup as default };