import React from "react";
export default class ItemGroup extends React.Component {
    render() {
        const { prefixCls, item, children, renderGroupTitle, getGroupTitleProps } = this.props;
        const customProps = getGroupTitleProps ? getGroupTitleProps(item.data) : {};
        return (React.createElement("div", { className: prefixCls },
            React.createElement("div", Object.assign({}, customProps, { className: `${prefixCls}-title` }), renderGroupTitle ? renderGroupTitle(item.data) : item.label),
            React.createElement("div", { className: `${prefixCls}-list` }, children)));
    }
}
